package com.casic.dcms.model;

import java.util.List;

public class GridAnalysisBean {

    private int code;
    private List<DataModel> data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<DataModel> getData() {
        return data;
    }

    public void setData(List<DataModel> data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private String closedNum;
        private String distributeNum;
        private String gridId;
        private String gridName;
        private String processNum;
        private String rate;
        private String registeredNum;

        public String getClosedNum() {
            return closedNum;
        }

        public void setClosedNum(String closedNum) {
            this.closedNum = closedNum;
        }

        public String getDistributeNum() {
            return distributeNum;
        }

        public void setDistributeNum(String distributeNum) {
            this.distributeNum = distributeNum;
        }

        public String getGridId() {
            return gridId;
        }

        public void setGridId(String gridId) {
            this.gridId = gridId;
        }

        public String getGridName() {
            return gridName;
        }

        public void setGridName(String gridName) {
            this.gridName = gridName;
        }

        public String getProcessNum() {
            return processNum;
        }

        public void setProcessNum(String processNum) {
            this.processNum = processNum;
        }

        public String getRate() {
            return rate;
        }

        public void setRate(String rate) {
            this.rate = rate;
        }

        public String getRegisteredNum() {
            return registeredNum;
        }

        public void setRegisteredNum(String registeredNum) {
            this.registeredNum = registeredNum;
        }
    }
}
